diff --git a/pgadmin/dlg/dlgForeignKey.cpp b/pgadmin/dlg/dlgForeignKey.cpp
index 3b92dfc..f310e12 100644
--- a/pgadmin/dlg/dlgForeignKey.cpp
+++ b/pgadmin/dlg/dlgForeignKey.cpp
@@ -452,6 +452,20 @@ int dlgForeignKey::Go(bool modal)
 
 	processing = false;
 
+	// Reset the radio button OnUpdate/OnDelete item values with the keywords to resolve the locale issue.
+
+	rbOnUpdate->SetString(0, wxT("NO ACTION"));
+	rbOnUpdate->SetString(1, wxT("RESTRICT"));
+	rbOnUpdate->SetString(2, wxT("CASCADE"));
+	rbOnUpdate->SetString(3, wxT("SET NULL"));
+	rbOnUpdate->SetString(4, wxT("SET DEFAULT"));
+
+	rbOnDelete->SetString(0, wxT("NO ACTION"));
+	rbOnDelete->SetString(1, wxT("RESTRICT"));
+	rbOnDelete->SetString(2, wxT("CASCADE"));
+	rbOnDelete->SetString(3, wxT("SET NULL"));
+	rbOnDelete->SetString(4, wxT("SET DEFAULT"));
+
 	wxCommandEvent nullEvent;
 	OnSelChangeRef(nullEvent);
 
diff --git a/pgadmin/dlg/dlgIndex.cpp b/pgadmin/dlg/dlgIndex.cpp
index 2f84783..5d7264d 100644
--- a/pgadmin/dlg/dlgIndex.cpp
+++ b/pgadmin/dlg/dlgIndex.cpp
@@ -457,6 +457,11 @@ int dlgIndex::Go(bool modal)
 		cbTablespace->SetSelection(0);
 	}
 
+	// Reset the radio buttons rdbNullsFirst, rdbNullsLast and checkboxes item values with the keywords to resolve the locale issues.
+	chkDesc->SetLabel(wxT("NULL"));
+	rdbNullsFirst->SetLabel(wxT("FIRST"));
+	rdbNullsLast->SetLabel(wxT("LAST"));
+
 	int returnCode = dlgIndexBase::Go(modal);
 
 	if (index && connection->BackendMinimumVersion(8, 0))
diff --git a/pgadmin/dlg/dlgRule.cpp b/pgadmin/dlg/dlgRule.cpp
index eb71e03..5bec96b 100644
--- a/pgadmin/dlg/dlgRule.cpp
+++ b/pgadmin/dlg/dlgRule.cpp
@@ -98,6 +98,12 @@ int dlgRule::Go(bool modal)
 		// create mode
 	}
 
+	// Reset the radio box rbxEvent item values with the keywords to resolve the locale issues.
+	rbxEvent->SetString(0, wxT("SELECT"));
+	rbxEvent->SetString(1, wxT("INSERT"));
+	rbxEvent->SetString(2, wxT("UPDATE"));
+	rbxEvent->SetString(3, wxT("DELETE"));
+
 	return dlgProperty::Go(modal);
 }
 
diff --git a/pgadmin/dlg/dlgTrigger.cpp b/pgadmin/dlg/dlgTrigger.cpp
index ecadf6d..f6cfb8b 100644
--- a/pgadmin/dlg/dlgTrigger.cpp
+++ b/pgadmin/dlg/dlgTrigger.cpp
@@ -226,6 +226,16 @@ int dlgTrigger::Go(bool modal)
 	btnAddCol->Disable();
 	btnRemoveCol->Disable();
 
+	// Reset the radio box rdbFires, checkboxes item values with the keywords to resolve the locale issues.
+	rdbFires->SetString(0, wxT("BEFORE"));
+	rdbFires->SetString(1, wxT("AFTER"));
+	rdbFires->SetString(2, wxT("INSTEAD OF"));
+
+	chkTruncate->SetLabel(wxT("TRUNCATE"));
+	chkDelete->SetLabel(wxT("DELETE"));
+	chkInsert->SetLabel(wxT("INSERT"));
+	chkUpdate->SetLabel(wxT("UPDATE"));
+
 	return dlgCollistProperty::Go(modal);
 }
 
diff --git a/pgadmin/ui/dlgIndex.xrc b/pgadmin/ui/dlgIndex.xrc
index 2574b71..7d7fa33 100644
--- a/pgadmin/ui/dlgIndex.xrc
+++ b/pgadmin/ui/dlgIndex.xrc
@@ -253,7 +253,7 @@
                         <cols>5</cols>
                         <object class="sizeritem">
                           <object class="wxCheckBox" name="chkDesc">
-                            <label></label>
+                            <label>NULL</label>
                           </object>
                           <flag>wxEXPAND|wxALIGN_CENTER_VERTICAL|wxTOP|wxRIGHT</flag>
                           <border>4</border>
@@ -261,13 +261,6 @@
                         <object class="spacer">
                           <size>15,3d</size>
                         </object>
-                        <object class="sizeritem">
-                          <object class="wxStaticText" name="stNulls">
-                            <label>NULLs</label>
-                          </object>
-                          <flag>wxALIGN_CENTRE_VERTICAL|wxTOP|wxLEFT|wxRIGHT</flag>
-                          <border>4</border>
-                        </object>
                         <object class="spacer">
                           <size>10,3d</size>
                         </object>
